Loading...
Searching...
No Matches
irr::SEvent::SMouseInput Struct Reference

Any kind of mouse event. More...

`#include <IEventReceiver.h>`

## Public Member Functions

bool | isLeftPressed () const
| Is the left button pressed down?
bool | isMiddlePressed () const
| Is the middle button pressed down?
bool | isRightPressed () const
| Is the right button pressed down?

## Public Attributes

u32 | ButtonStates
bool | Control:1
| True if ctrl was also pressed.
EMOUSE_INPUT_EVENT | Event
| Type of mouse event.
bool | Shift:1
| True if shift was also pressed.
f32 | Wheel
| mouse wheel delta, often 1.0 or -1.0, but can have other values < 0.f or > 0.f;
s32 | X
| X position of mouse cursor.
s32 | Y
| Y position of mouse cursor.

## Detailed Description

Any kind of mouse event.

Definition at line 279 of file IEventReceiver.h.

## Member Function Documentation

## isLeftPressed()

bool irr::SEvent::SMouseInput::isLeftPressed | ( |  | ) | const

inline

Is the left button pressed down?

Definition at line 303 of file IEventReceiver.h.

References ButtonStates, and irr::EMBSM_LEFT.

## isMiddlePressed()

bool irr::SEvent::SMouseInput::isMiddlePressed | ( |  | ) | const

inline

Is the middle button pressed down?

Definition at line 309 of file IEventReceiver.h.

References ButtonStates, and irr::EMBSM_MIDDLE.

## isRightPressed()

bool irr::SEvent::SMouseInput::isRightPressed | ( |  | ) | const

inline

Is the right button pressed down?

Definition at line 306 of file IEventReceiver.h.

References ButtonStates, and irr::EMBSM_RIGHT.

## Member Data Documentation

## ButtonStates

u32 irr::SEvent::SMouseInput::ButtonStates

A bitmap of button states. You can use isButtonPressed() to determine if a button is pressed or not. Currently only valid if the event was EMIE_MOUSE_MOVED

Definition at line 300 of file IEventReceiver.h.

Referenced by isLeftPressed(), isMiddlePressed(), and isRightPressed().

## Control

bool irr::SEvent::SMouseInput::Control

True if ctrl was also pressed.

Definition at line 295 of file IEventReceiver.h.

## Event

EMOUSE_INPUT_EVENT irr::SEvent::SMouseInput::Event

Type of mouse event.

Definition at line 312 of file IEventReceiver.h.

## Shift

bool irr::SEvent::SMouseInput::Shift

True if shift was also pressed.

Definition at line 292 of file IEventReceiver.h.

## Wheel

f32 irr::SEvent::SMouseInput::Wheel

mouse wheel delta, often 1.0 or -1.0, but can have other values < 0.f or > 0.f;

Only valid if event was EMIE_MOUSE_WHEEL

Definition at line 289 of file IEventReceiver.h.

## X

s32 irr::SEvent::SMouseInput::X

X position of mouse cursor.

Definition at line 282 of file IEventReceiver.h.

## Y

s32 irr::SEvent::SMouseInput::Y

Y position of mouse cursor.

Definition at line 285 of file IEventReceiver.h.

The documentation for this struct was generated from the following file:

- IEventReceiver.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0